# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fspulse"
version = "0.3.3"
authors = ["The FsPulse Developers"]
build = "build.rs"
exclude = [
    ".github",
    ".gitignore",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "FsPulse is a fast, cross-platform filesystem scanner and change tracker."
homepage = "https://github.com/gtunes-dev/fspulse"
documentation = "https://gtunes-dev.github.io/fspulse/"
readme = "README.md"
keywords = [
    "filesystem",
    "scanner",
    "tracking",
    "integrity",
]
categories = ["command-line-utilities"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/gtunes-dev/fspulse"

[[bin]]
name = "fspulse"
path = "src/main.rs"

[dependencies.axum]
version = "0.8"
features = ["ws"]

[dependencies.chrono]
version = "0.4"
features = ["clock"]

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.claxon]
version = "0.4"

[dependencies.crossbeam-channel]
version = "0.5"

[dependencies.directories]
version = "6.0"

[dependencies.dunce]
version = "1.0"

[dependencies.figment]
version = "0.10"
features = [
    "toml",
    "env",
    "test",
]

[dependencies.flexi_logger]
version = "0.31"

[dependencies.hex]
version = "0.4"

[dependencies.icu_collator]
version = "1.5"

[dependencies.image]
version = "0.25"

[dependencies.log]
version = "0.4"

[dependencies.logging_timer]
version = "1.1"

[dependencies.lopdf]
version = "0.38"

[dependencies.mime_guess]
version = "2.0"

[dependencies.once_cell]
version = "1.21"

[dependencies.pest]
version = "2.8"

[dependencies.pest_derive]
version = "2.8"

[dependencies.phf]
version = "0.13"

[dependencies.phf_macros]
version = "0.13"

[dependencies.r2d2]
version = "0.8"

[dependencies.r2d2_sqlite]
version = "0.31"

[dependencies.rusqlite]
version = "0.37"
features = [
    "bundled",
    "collation",
]

[dependencies.rust-embed]
version = "8.5"
features = ["debug-embed"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.10"

[dependencies.strum]
version = "0.27"

[dependencies.thiserror]
version = "2.0"

[dependencies.threadpool]
version = "1.8"

[dependencies.tico]
version = "2.0"

[dependencies.tokio]
version = "1.48"
features = ["full"]

[dependencies.toml]
version = "0.9"

[dev-dependencies.pretty_assertions]
version = "1.4"

[dev-dependencies.proptest]
version = "1.8"

[dev-dependencies.serial_test]
version = "3.2"

[dev-dependencies.tempfile]
version = "3.23"

[build-dependencies.chrono]
version = "0.4"
features = ["clock"]

[build-dependencies.static_vcruntime]
version = "2.0"

[profile.dev.package."*"]
opt-level = 3

[profile.release.package.claxon]
codegen-units = 1

[profile.release.package.image]
codegen-units = 1

[profile.release.package.lopdf]
codegen-units = 1

[profile.release.package.png]
codegen-units = 1

[profile.release.package.sha2]
codegen-units = 1
